%{?nodejs_find_provides_and_requires}

%global packagename bcryptjs
%global enable_tests 1

Name:		nodejs-bcryptjs
Version:	2.3.0
Release:	1%{?dist}
Summary:	Optimized bcrypt in plain JavaScript with zero dependencies

License:	MIT
URL:		https://github.com/dcodeIO/bcrypt.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(metascript)
BuildRequires:	npm(utfx)
%if 0%{?enable_tests}
BuildRequires:	npm(bcrypt)
BuildRequires:	npm(testjs)
%endif

%description
Optimized bcrypt in plain JavaScript with zero dependencies. Compatible to
'bcrypt'.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%build
%nodejs_symlink_deps --check
%{__nodejs} scripts/build.js
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/testjs
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 2.3.0-1
- Initial packaging
